Main Page Widgets Namespaces Book

# Glib::SignalProxyConnectionNode Class Reference

SignalProxyConnectionNode is a SigC::ConnectionNode for use with SignalProxy. More...

Inheritance diagram for Glib::SignalProxyConnectionNode:

[legend]
List of all members.

## Public Methods
| SignalProxyConnectionNode (SigC::SlotNode* slot_data, GObject* gobject)
virtual | ~SignalProxyConnectionNode ()
virtual void | notify (bool from_child)
## Static Public Methods
void | destroy_notify_handler (gpointer data, GClosure* closure)
## Public Attributes
gulong | connection_id_
bool | gsignal_disconnection_in_process_
## Protected Attributes
GObject* | object_

## Detailed Description

SignalProxyConnectionNode is a SigC::ConnectionNode for use with SignalProxy.

It lives between the layer of Gtk+ and SigC++. It is very much an internal class.

## Constructor & Destructor Documentation

Glib::SignalProxyConnectionNode::SignalProxyConnectionNode | ( | SigC::SlotNode* | slot_data,
|  | GObject* | gobject
| ) |

virtual Glib::SignalProxyConnectionNode::~SignalProxyConnectionNode | ( |  | ) | `[virtual]`

## Member Function Documentation

void Glib::SignalProxyConnectionNode::destroy_notify_handler | ( | gpointer | data,
|  | GClosure* | closure
| ) | `[static]`

virtual void Glib::SignalProxyConnectionNode::notify | ( | bool | from_child | ) | `[virtual]`

## Member Data Documentation

gulong Glib::SignalProxyConnectionNode::connection_id_

bool Glib::SignalProxyConnectionNode::gsignal_disconnection_in_process_

GObject* Glib::SignalProxyConnectionNode::object_`[protected]`

The documentation for this class was generated from the following file:

- signalproxy_connectionnode.h